GNOME Shell on Debian Squeeze

Desktop Environments and Multimedia
Post Reply
Message
Author
il.Boni
Posts: 2
Joined: 2009-03-16 10:29

GNOME Shell on Debian Squeeze

#1 Post by il.Boni »

I tried to compile on my Debian Squeeze the GNOME Shell ( you can find it at this link http://live.gnome.org/GnomeShell )

the script requires a lib called xulrunner-1.9-dev, but it seems not available on the repository.

Can someone help me?

thank's

P.S. an 'aptitude search' returns that the lib is on the ice-ape package, but it doesn't work

User avatar
Telemachus
Posts: 4675
Joined: 2006-12-25 15:53

#2 Post by Telemachus »

Try installing the bottom two here (xulrunner-1.9-gnome-support and xulrunner-dev):

Code: Select all

telemachus ~/practice $ aptitude search xulrunner
v   liferea-xulrunner               -                                           
i A xulrunner-1.9                   - XUL + XPCOM application runner            
p   xulrunner-1.9-dbg               - Development files for the Gecko engine lib
p   xulrunner-1.9-gnome-support     - Support for GNOME in xulrunner application
p   xulrunner-dev                   - Development files for the Gecko engine lib
"We have not been faced with the need to satisfy someone else's requirements, and for this freedom we are grateful."
Dennis Ritchie and Ken Thompson, The UNIX Time-Sharing System

il.Boni
Posts: 2
Joined: 2009-03-16 10:29

#3 Post by il.Boni »

thank's Telemachus.
I had already searched in the repository but installing this packages nothing changes, it doesn't work.

User avatar
BioTube
Posts: 7551
Joined: 2007-06-01 04:34

#4 Post by BioTube »

Some idiot hardcoded the script for 'xulrunner-1.9-dev'. You'll have to fix that by hand(it's on line 51).
Image
Ludwig von Mises wrote:The elite should be supreme by virtue of persuasion, not by the assistance of firing squads.

CdK1
Posts: 1
Joined: 2009-05-28 02:51

Re: GNOME Shell on Debian Squeeze

#5 Post by CdK1 »

apt-get install libgstreamer0.10-dev libxss-dev xulrunner-dev libreadline5-dev python-dev mesa-common-dev libgl1-mesa-dev libwnck-dev librsvg2-dev libgnomeui-dev libgnome-menu-dev libffi-dev libgtk2.0-dev libgconf2-dev libdbus-glib-1-dev gtk-doc-tools gnome-common git-core flex bison automake build-essential

Not probrlem... ==> "xulrunner-dev" ;)

Post Reply